# Notification show

A decision block that shows a status bar notification.

If the proceed option is set to Immediately, then the notification will be shown without pausing the fiber. If set to When dismissed, then the fiber will pause until the notification has been clicked proceeding through the YES path, or cancelled proceeding through the NO path. When clicked works like When dismissed except the notification will remain shown after it’s been clicked.

If the fiber is already showing a notification, it’s updated with the new information, without replaying its sound and vibration, and blinking light. Use the Fork block to show multiple notification within the same flow.

The notification is removed when the fiber stops, or by using the Notification cancel block. Dismiss a notification by either clicked it, or cancelling it with a left-swipe or the “clear all” button.

On Android 14+ all notifications can be cancelled, therefor the cancellable is ignored. On Android 13 or lower ongoing event notifications can’t be cancelled.

The notification should appear on Wear devices if it’s cancellable and not ongoing.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Title — notification title.
- Message — notification message.
- Small icon URI — URI or filename of image to show as small icon, i.e. in status bar, always monochrome. (Android 6+ except for some buggy Samsung/Sony devices)
- Large icon URI — URI or filename of image to show as large icon, may not show if a picture is used, default is none.
- Accent color — accent color for the notification, system may adjust, default is system default. (Android 5+)
- Picture URI — URI or filename of an image to show as a “big picture style” notification, may hide large icon, default in none. (Android 4.1+)
- Person URI — contact, `mailto:`, `tel:` or `name:` URI of person relevant to this notification. (Android 5+)
- Channel — UUID of notification channel used, default is the flow default or Flow.
- Visibility — whether to only show the notification on secure screens.
- Category — notification category. (Android 5+)
- When timestamp — unix timestamp pertaining to the notification, usually the time the “event” occurred, use Now for current time, default is not show.
- Progress bar — completion percentage of progress bar shown in the notification, a negative number shows an indeterminate bar, default is no progress bar.
- Ongoing — whether the notification is for an ongoing event.
- Cancellable — whether notification can be cancelled with a left-swipe or “clear all”, ignored for Ongoing event. (Android 13-)

## Output variables

- Notification id — variable to assign id of the notification.